Subject: Re: RFC1342 (printing 8-bit chars in the Subject)

From: [email-masked] (Johan Holmberg)
Date: 15 Jan 1996 08:36:18 +0100

Dimakopoulos Panagiotis <[email-masked]> writes:
>  
>  Does anybody know if a patch has been released for pine to comply
>  with the RFC1342 ? This RFC describes an extension to the message
>  format defined in RFC 1341 (MIME) to allow the representation of 
>  character sets other than ASCII in RFC 822 message headers.
>  

I have a patch that does this. From the Release Notes:

============================================================
= Changes in 3.91jh803.
=  
= 3.91jh803 is a patched version of 3.91 that can handle encoding/decoding of
= header fields according to RFC1522. Some other changes has also been
= done. The differences from 3.91 are:
=  
= 802:
=     - Encode a lonely '.' on a line. Recommended by RFC1521.
=  
= 801:
=     - handle application/pdf when sending PDF-attachments.
=     - better support for 8-bit characters in folder names and in
=       address book
=     - view application/pgp (without interpreting the PGP-stuff)
=  
= Earlier patches (from 3.91 to patch 800):
=     - RFC1522 suppport (added by Lars Engebretsen <[email-masked]>)
=     - should now work (I hope) for all character sets in the
=       ISO-LATIN family.
=     - some memory handling bugs fixed by using Purify on PINE.
=       (Not totally "clean", but better than before).
=     - (small) improvements in the makefiles and build-script. One reason
=       was to make it easier to use CVS on the code.
=     - Fix to avoid showing text message from some MAC MUA's as attachments.
=  
= The RFC1522 suppport is used in the following way:
=  
=     - when reading mail it is automatically used
=     - when sending mail you have a choice when sending the mail.
=       See the help (Ctrl-G) in the compose screen. Read about the
=       SEND command (Ctrl-x).
=  
= This patch was created by Johan Holmberg <[email-masked]>.
=  
============================================================

I have used this patch a lot on SunOS and IRIX, and beleive it works
on Solaris-2 and HPUX too. Shouldn't be any problems for other platforms,
but I just haven't modified the Makefiles for other platforms.

But, since 3.92 isn't far away, I'll probably not do any further work
on it.

Anyway, if you want to try my patch, send me an email and I'll
send you the patch.

/johan holmberg

-- 
-----------------------------------------------------------------------
Johan Holmberg                     Email:   [email-masked]
Telia Promotor AB                  Phone:   +46 18  18 94 55
Box 1218                           Mobile:  +46 70 528 94 55
751 42 Uppsala, SWEDEN             Fax:     +46 18  18 94 99
-----------------------------------------------------------------------

---

From: [email-masked] (Johan Holmberg)
Date: 17 Jan 1996 13:34:34 +0100

A couple of days ago I wrote:
>  I have a patch that does this. [...]
>  
[...]
>  Anyway, if you want to try my patch, send me an email and I'll

The patch is now available as

   ftp://ftp.nada.kth.se/pub/i18n/mime_head/pine3.91-jh803.tar.gz

/johan holmberg